package com.unleashedsoftware.sdk.model;

import com.unleashedsoftware.sdk.serialisation.*;
import org.codehaus.jackson.annotate.*;
import org.codehaus.jackson.map.annotate.*;

import java.util.*;

public class ApiCustomer {
    @JsonProperty("Guid")
    public String id;

    @JsonProperty("CustomerCode")
    public String code;

    @JsonProperty("CustomerName")
    public String name;

    @JsonProperty("LastModifiedOn")
    @JsonSerialize(using = JsonDateSerialiser.class)
    @JsonDeserialize(using = JsonMicrosoftDateDeserialiser.class)
    public Date lastModifiedOn;
}
