package com.unleashedsoftware.sdk.network;

import java.net.*;

public class RestClientConnectionConfigurationCreator {
    public RestClientConnectionConfiguration create(RestClientRequestMethod method, RestClientRequest request) throws MalformedURLException {
        RestClientConnectionConfiguration configuration = new RestClientConnectionConfiguration();
        configuration.requestUrl = new URL(request.requestUrl);
        configuration.requestMethod = method;
        configuration.headers = request.headers;
        configuration.connectionTimeoutInMilliseconds = request.connectionTimeoutInMilliseconds;
        return configuration;
    }
}
