package com.unleashedsoftware.sdk.network;

import java.io.*;
import java.net.*;

public class RestClientResponseReader {
    private final static int bufferSize = 8192;

    public String read(RestClientConnection connection) throws IOException {
        InputStream stream = connection.getInputStream();
        BufferedReader reader = new BufferedReader(new InputStreamReader(stream));
        StringBuffer buffer = new StringBuffer();
        char[] readCharacters = new char[bufferSize];
        int lastReadCharactersNumber = 0;
        while((lastReadCharactersNumber = reader.read(readCharacters,0,bufferSize)) >= 0)
            buffer.append(String.valueOf(readCharacters,0,lastReadCharactersNumber));
        reader.close();
        return buffer.toString();
    }
}
