package com.unleashedsoftware.sdk.serialisation;

import org.codehaus.jackson.*;
import org.codehaus.jackson.map.*;
import java.io.IOException;
import java.text.SimpleDateFormat;
import java.util.*;

public class JsonDateSerialiser extends JsonSerializer<Date> {
    private final static SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ssZ");


    public void serialize(Date date, JsonGenerator jsonGenerator, SerializerProvider serializerProvider) throws IOException {
        jsonGenerator.writeString(format.format(date));
    }
}
