package com.unleashedsoftware.sdk.model;

import com.unleashedsoftware.sdk.serialisation.*;
import org.codehaus.jackson.annotate.*;
import org.codehaus.jackson.map.annotate.*;

import java.util.*;

public class ApiCurrency {
    @JsonProperty("Guid")
    public String id;

    @JsonProperty("CurrencyCode")
    public String code;

    @JsonProperty("Description")
    public String description;

    @JsonProperty("LastModifiedOn")
    @JsonSerialize(using = JsonDateSerialiser.class)
    @JsonDeserialize(using = JsonMicrosoftDateDeserialiser.class)
    public Date lastModifiedOn;
}
