package com.unleashedsoftware.sdk.network;

import java.util.*;

public class RestClientHeaderCollection {
    private List<AbstractMap.SimpleEntry<String, String>> headers;

    public RestClientHeaderCollection() {
        headers = new ArrayList<AbstractMap.SimpleEntry<String, String>>();
    }

    public int getSize() {
        return headers.size();
    }

    public void addHeader(String headerFieldName, String headerFieldValue) {
        headers.add(new AbstractMap.SimpleEntry<String, String>(headerFieldName, headerFieldValue));
    }

    public AbstractMap.SimpleEntry<String, String> getHeader(int index) {
        return headers.get(index);
    }
}
