package com.unleashedsoftware.sdk.security;

import org.junit.*;

import static org.hamcrest.CoreMatchers.*;
import static org.junit.Assert.*;

public class UnleashedApiAuthSignatureCalculatorTests {
    @Test
    public void canCalculate() throws Exception {
        UnleashedApiCredentials credentials = new UnleashedApiCredentials();
        credentials.hash = "queryString";
        credentials.privateKey = "apiKey";
        credentials.authId = "apiId";

        UnleashedApiAuthSignatureCalculator calculator = new UnleashedApiAuthSignatureCalculator();
        calculator.calculate(credentials);

        assertThat(credentials.authSignature, not(nullValue()));
    }
}
